Subject: Re: bug#4814: Further information on the "<packet> undefined" error w/ keypress-modifying software?

From: Stefan Kangas <[email-masked]>
Date: Mon, 11 Nov 2019 02:42:56 +0100

Evan Driscoll <[email-masked]> writes:

> I just ran across a small annoyance today, and in looking for a solution
> ran across these two bugs. 4836 sounds like it's very closely related to
> what I'm seeing, and there's some discussion about how it relates to
> 4814, so here goes.
>
>
> Brief description:
>   Using Emacs >=23 with AllChars causes an error message "<packet>
>   is undefined" to appear when entering a compose key sequence.
>
>
> How I did caused the bug to surface:
>
>  - Install AllChars (http://sourceforge.net/projects/allchars/).
>    This is a program that gives Windows a compose key feature.
>  - Install Emacs >=23.
>  - Start AllChars with the default configuration, start Emacs.
>  - Try to use a compose-key sequence, e.g. '<compose> / o' or
>    '<compose> ` a'. (By default, <compose> is <menu>, but I tried
>    another option or two.)
>
>
> Symptoms:
>
>  - In Emacs 22.3, the composed character (ø or à) shows up as
>    expected
>  - In Emacs 23.1 and 23.2, as well as CVS Emacs distributed at
>    ntemacs.sourceforge.net, an error in the minibuffer is
>    displayed: "<packet> is undefined"
>
> Hopefully this'll help.
>
> Evan Driscoll

This was reported 10 years ago.  Are you still seeing this on a modern
version of Emacs?

Best regards,
Stefan Kangas